org.eclipse.mat.ui.snapshot

## Class OpenSnapshot.Visitor

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.OpenSnapshot.Visitor

Enclosing class:
  OpenSnapshot

    public abstract static class OpenSnapshot.Visitor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Visitor()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `go(Shell shell)`
`abstract void` `visit(IFileStore fileStore)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Visitor

    public Visitor()

### Method Detail

#### visit

    public abstract void visit(IFileStore fileStore)

#### go

    public boolean go(Shell shell)